(defun c:poltrona ()
(setq pontos2d (getvar "osmode"))
(setq pontos3d (getvar "3dosmode"))
(setvar "osmode" 0)
(setvar "3dosmode" 0)
(setq pt1 (getpoint "indique o ponto da esquina da poltrona: "))
(If (= nil
;base da poltrona 
(setq comprimento (getreal " indique o comprimento da poltrona (em x): ")))
(setq comprimento 0.71))
(If (= nil
(setq largura (getreal "indique a largura da poltrona (em y): ")))
(setq largura 0.50))
(If (= nil
(setq altura (getreal "indique a altura do assento da poltrona (em z): ")))
(setq altura 0.40))
(If (= nil
(setq esp1 (getreal "indique a espessura do assento da poltrona: ")))
(setq esp1 0.25))
(If (= nil
;pernas da poltrona
(setq esp2 (getreal "indique a espessura da perna da poltrona: ")))
(setq esp2 0.05))
(If (= nil
;costas da poltrona
(setq costas (getreal "indique a altura das costas da poltrona: ")))
(setq costas 0.36))
(If (= nil
(setq esp3 (getreal "indique a espessura das costas da poltrona: ")))
(setq esp3 0.08))
(If (= nil
;apoios da poltrona
(setq altura2 (getreal "indique a altura dos apoios da poltrona: ")))
(setq altura2 0.23))
(If (= nil
(setq esp4 (getreal "indique a espessura dos apoios da poltrona: ")))
(setq esp4 0.08))
(If (= nil
;almofadas do assento da poltrona
(setq esp5 (getreal "indique a espessura das almofadas dos assentos: ")))
(setq esp5 0.05))
(If (= nil
;almofadas das costas da poltrona
(setq espcostas (getreal "indique a espessura das almofadas das costas: ")))
(setq espcostas 0.05))
(modelar) ;base da poltrona ;pernas da poltrona
(modelar2) ;costas da poltrona
(modelar3) ;apoios da poltrona
(modelar4) ;almofadas do assento
(modelar5) ;almofadas das costas
(setvar "osmode" pontos2d)
(setvar "3dosmode" pontos3d)
(command "ucs" "")
)
(defun modelar ()
(command "ucs" pt1 "")
;base da poltrona
(command "box" (list 0 0 (- altura esp1)) (list comprimento largura altura))
(setq e1 (entlast))
; perna da poltrona
(command "box" (list 0 0 0) (list esp2 esp2 (- altura esp1)))
(command "array" (entlast) "" "r" 2 2 (- largura esp2) (- comprimento esp2))
)
(defun modelar2 ()
;costas da poltrona
(command "box" (list 0 0 altura) (list comprimento esp3 (+ altura costas)))
)
(defun modelar3 ()
;apoios da poltrona
(command "box" (list 0 esp3 altura) (list esp4 largura (+ altura altura2)))
(command "copy" (entlast) "" (list 0 esp3 altura) (list (- comprimento esp4) esp3 altura))
)
(defun modelar4 ()
;almofadas do assento
(setq compalm (/ comprimento 1.13))
(command "box" (list esp4 esp3 altura) (list compalm largura (+ altura esp5)))
)

(defun modelar5 ()
;almofadas das costas
(setq compalm (/ comprimento 1.13))
(command "box" (list esp4 esp3 (+ altura esp5)) (list compalm (+ esp3 espcostas) (+ altura costas)))
)

